Canvas5StyleManagerInternal::ColorStyle Struct Reference

Internal: the color style of a Canvas5StyleManager. More...

## Public Member Functions

| ColorStyle ()
| constructor

## Public Attributes

unsigned | m_type
| the type
int | m_nameId
| the name id
MWAWVariable< MWAWColor > | m_color
| the basic color
MWAWGraphicStyle::Gradient | m_gradient
| the gradient
MWAWGraphicStyle::Hatch | m_hatch
| the hatch
MWAWVec2i | m_textureDim
| the texture dimension
MWAWEmbeddedObject | m_texture
| the embedded objet (texture)

## Friends

std::ostream & | operator<< (std::ostream &o, ColorStyle const &color)

## Detailed Description

Internal: the color style of a Canvas5StyleManager.

## Constructor & Destructor Documentation

## ColorStyle()

Canvas5StyleManagerInternal::ColorStyle::ColorStyle | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ColorStyle const & | color )

friend

## Member Data Documentation

## m_color

MWAWVariable<MWAWColor> Canvas5StyleManagerInternal::ColorStyle::m_color

the basic color

Referenced by ColorStyle(), operator<<, Canvas5StyleManager::updateLineColor(), and Canvas5StyleManager::updateSurfaceColor().

## m_gradient

MWAWGraphicStyle::Gradient Canvas5StyleManagerInternal::ColorStyle::m_gradient

the gradient

Referenced by ColorStyle(), Canvas5StyleManager::updateLineColor(), and Canvas5StyleManager::updateSurfaceColor().

## m_hatch

MWAWGraphicStyle::Hatch Canvas5StyleManagerInternal::ColorStyle::m_hatch

the hatch

Referenced by ColorStyle(), and Canvas5StyleManager::updateSurfaceColor().

## m_nameId

int Canvas5StyleManagerInternal::ColorStyle::m_nameId

the name id

Referenced by ColorStyle(), and operator<<.

## m_texture

MWAWEmbeddedObject Canvas5StyleManagerInternal::ColorStyle::m_texture

the embedded objet (texture)

Referenced by ColorStyle(), and Canvas5StyleManager::updateSurfaceColor().

## m_textureDim

MWAWVec2i Canvas5StyleManagerInternal::ColorStyle::m_textureDim

the texture dimension

Referenced by ColorStyle(), and Canvas5StyleManager::updateSurfaceColor().

## m_type

unsigned Canvas5StyleManagerInternal::ColorStyle::m_type

the type

Referenced by ColorStyle(), operator<<, Canvas5StyleManager::updateLineColor(), and Canvas5StyleManager::updateSurfaceColor().

The documentation for this struct was generated from the following file:

- Canvas5StyleManager.cxx